
export const CONTENT_REGEXP = /```|json|\n/g

export function extractJSON(str: String) {
    // 匹配被```json包裹的JSON内容（兼容前后多余字符）
    const regex = /```json\s*([\s\S]*?)\s*```/;
    const match = str.match(regex);
    
    if (match && match[1]) {
        try {
            return JSON.parse(match[1]); // 返回解析后的JSON对象
        } catch (e) {
            throw new Error('提取到内容解析失败，请检查JSON格式');
        }
    }
    try {
        return JSON.parse(str.replaceAll(CONTENT_REGEXP, ''));
    } catch (error) {
        throw new Error('解析失败，请检查JSON格式');
    }
}